Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Interface ReportListener

public interface ReportListener

Method Summary
`void` | `metricAdded(Metric metric)`
`void` | `ruleViolationAdded(IRuleViolation ruleViolation)`

Method Detail

### ruleViolationAdded

    public void ruleViolationAdded(IRuleViolation ruleViolation)

### metricAdded

    public void metricAdded(Metric metric)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.